Modify

Opened 6 years ago

Closed 6 years ago

Last modified 4 years ago

#11513 closed defect (fixed)

alix2, fails to boot on newest trunk (r31835)

Reported by: openwrt@… Owned by: developers
Priority: highest Milestone: Barrier Breaker 14.07
Component: base system Version: Trunk
Keywords: Cc:

Description

I've built a clean alix2 target image off the newest trunk version, r31835. I'm using this image file:

openwrt-x86-alix2-combined-squashfs.img

The image fails to boot up correctly. Once it starts the jffs2 initialization it dumps a bunch of output to the console and eventually reboots. Here's a bootup log:

  Booting 'OpenWrt'

root    (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
kernel  /boot/vmlinuz block2mtd.block2mtd=/dev/sda2,65536,rootfs root=/dev/mtdb
lock0 rootfstype=squashfs rootwait console=ttyS0,38400n8 noinitrd reboot=bios
   [Linux-bzImage, setup=0x3a00, size=0x134450]
boot
[    0.000000] Linux version 3.3.6 (adam@openwrt-builder) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #2 Mon May 21 14:13:32 EDT 2012
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
[    0.000000]  BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 0000000010000000 (usable)
[    0.000000]  BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
[    0.000000] Notice: NX (Execute Disable) protection missing in CPU!
[    0.000000] DMI not present or invalid.
[    0.000000] last_pfn = 0x10000 max_arch_pfn = 0x100000
[    0.000000] init_memory_mapping: 0000000000000000-0000000010000000
[    0.000000] 256MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 10000000
[    0.000000]   low ram: 0 - 10000000
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x00010000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000010 -> 0x000000a0
[    0.000000]     0: 0x00000100 -> 0x00010000
[    0.000000] Using APIC driver default
[    0.000000] No local APIC present or hardware disabled
[    0.000000] APIC: disable apic facility
[    0.000000] APIC: switched to apic NOOP
[    0.000000] Allocating PCI resources starting at 10000000 (gap: 10000000:eff00000)
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 64912
[    0.000000] Kernel command line: block2mtd.block2mtd=/dev/sda2,65536,rootfs root=/dev/mtdblock0 rootfstype=squashfs rootwait console=ttyS0,38400n8 noinitrd reboot=bios
[    0.000000] PID hash table entries: 1024 (order: 0, 4096 bytes)
[    0.000000] Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.000000] Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)
[    0.000000] Initializing CPU#0
[    0.000000] Memory: 256244k/262144k available (2202k kernel code, 5452k reserved, 571k data, 244k init, 0k highmem)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xfffa4000 - 0xfffff000   ( 364 kB)
[    0.000000]     vmalloc : 0xd0800000 - 0xfffa2000   ( 759 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xd0000000   ( 256 MB)
[    0.000000]       .init : 0xc12b6000 - 0xc12f3000   ( 244 kB)
[    0.000000]       .data : 0xc1226a1c - 0xc12b5680   ( 571 kB)
[    0.000000]       .text : 0xc1000000 - 0xc1226a1c   (2202 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] SLUB: Genslabs=15, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:2304 nr_irqs:256 16
[    0.000000] console [ttyS0] enabled
[    0.000000] Fast TSC calibration using PIT
[    0.000000] Detected 498.021 MHz processor.
[    0.030006] Calibrating delay loop (skipped), value calculated using timer frequency.. 996.04 BogoMIPS (lpj=4980210)
[    0.050011] pid_max: default: 32768 minimum: 301
[    0.060251] Mount-cache hash table entries: 512
[    0.070400] CPU: Geode(TM) Integrated Processor by AMD PCS stepping 02
[    0.090150] Performance Events: no PMU driver, software events only.
[    0.110913] NET: Registered protocol family 16
[    0.121482] PCI: PCI BIOS revision 2.10 entry at 0xfced9, last bus=0
[    0.130014] PCI: Using configuration type 1 for base access
[    0.145704] bio: create slab <bio-0> at 0
[    0.151197] SCSI subsystem initialized
[    0.161040] PCI: Probing PCI hardware
[    0.170225] PCI host bridge to bus 0000:00
[    0.180020] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.190016] pci_bus 0000:00: root bus resource [mem 0x00000000-0xffffffff]
[    0.214078] Switching to clocksource pit
[    0.222340] NET: Registered protocol family 2
[    0.225561] IP route cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.236429] TCP established hash table entries: 8192 (order: 4, 65536 bytes)
[    0.247783] TCP bind hash table entries: 8192 (order: 3, 32768 bytes)
[    0.257217] TCP: Hash tables configured (established 8192 bind 8192)
[    0.266284] TCP reno registered
[    0.275725] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.293258] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.302290] NET: Registered protocol family 1
[    0.306105] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.321792] alix: system is recognized as "PC Engines ALIX.2 v0.99h"
[    0.354697] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.372206] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.382175] msgmni has been set to 500
[    0.393497] io scheduler noop registered
[    0.395284] io scheduler deadline registered (default)
[    0.411073] Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
[    0.420411] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A
[    0.429239] serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a NS16550A
[    0.438747] Non-volatile memory driver v1.3
[    0.451349] AMD Geode RNG detected
[    0.464025] scsi0 : pata_cs5536
[    0.473956] scsi1 : pata_cs5536
[    0.483806] ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0xff00 irq 14
[    0.484695] ata2: DUMMY
[    0.664500] ata1.00: CFA: SanDisk SDCFH-002G, HDX 6.02, max MWDMA2
[    0.683072] ata1.00: 3906560 sectors, multi 0: LBA 
[    0.724396] ata1.00: configured for MWDMA2
[    0.737025] scsi 0:0:0:0: Direct-Access     ATA      SanDisk SDCFH-00 HDX  PQ: 0 ANSI: 5
[    0.752247] sd 0:0:0:0: [sda] 3906560 512-byte logical blocks: (2.00 GB/1.86 GiB)
[    0.754894] sd 0:0:0:0: [sda] Write Protect is off
[    0.769637] sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[    0.778814]  sda: sda1 sda2
[    0.788495] sd 0:0:0:0: [sda] Attached SCSI removable disk
[    0.795402] Creating 1 MTD partitions on "rootfs":
[    0.809810] 0x000000000000-0x000003030000 : "rootfs"
[    0.815823] mtd: partition "rootfs" set to be root filesystem
[    0.840493] mtd: partition "rootfs_data" created automatically, ofs=1F0000, len=2E40000 
[    0.844765] 0x0000001f0000-0x000003030000 : "rootfs_data"
[    0.862051] block2mtd: mtd0: [rootfs] erase_size = 64KiB [65536]
[    0.871004] i8042: No controller found
[    0.882632] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.891739] rtc0: alarms up to one day, 114 bytes nvram
[    0.897573] cpuidle: using governor ladder
[    0.910150] TCP westwood registered
[    0.920640] NET: Registered protocol family 17
[    0.934078] 8021q: 802.1Q VLAN Support v1.8
[    0.936702] Using IPI Shortcut mode
[    0.947833] rtc_cmos rtc_cmos: setting system clock to 2012-05-21 18:14:36 UTC (1337624076)
[    0.981064] VFS: Mounted root (squashfs filesystem) readonly on device 31:0.
[    0.992362] Freeing unused kernel memory: 244k freed
[    1.314195] Switching to clocksource tsc
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
- regular preinit -
jffs2 not ready yet; using ramdisk
- init -

Please press Enter to activate this console. [    5.407008] geode-aes: GEODE AES engine enabled.
[    5.532375] ocf: module license 'BSD' taints kernel.
[    5.547282] Disabling lock debugging due to kernel taint
[    5.737526] Compat-wireless backport release: compat-wireless-2012-04-17-2-r31835
[    5.759967] Backport based on wireless-testing.git master-2012-04-17
[    5.792926] cfg80211: Calling CRDA to update world regulatory domain
[    5.998462] usbcore: registered new interface driver usbfs
[    6.015019] usbcore: registered new interface driver hub
[    6.033797] usbcore: registered new device driver usb
[    6.519348] cfg80211: World regulatory domain updated:
[    6.534834] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    6.559356] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    6.582565] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    6.605780] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    6.628996] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    6.652209] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    6.762684] ath5k 0000:00:0c.0: registered as 'phy0'



BusyBox v1.19.4 (2012-05-21 13:51:05 EDT) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 -----------------------------------------------------
 ATTITUDE ADJUSTMENT (Bleeding Edge, r31835)
 -----------------------------------------------------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@(none):/# [   17.326830] ath5k: phy0: Atheros AR5213A chip found (MAC: 0x59, PHY: 0x43)
[   17.347454] ath5k: phy0: RF2112B 2GHz radio found (0x46)
[   17.365358] cfg80211: Calling CRDA for country: US
[   17.496444] cfg80211: Regulatory domain changed to country: US
[   17.513960] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   17.538473] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
[   17.561686] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
[   17.584900] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   17.608118] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   17.631331] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   17.654547] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
[   17.853558] Button Hotplug driver version 0.4.1
[   17.980154] PPP generic driver version 2.4.2
[   18.010277] PPP MPPE Compression module registered
[   18.258708] ip_tables: (C) 2000-2006 Netfilter Core Team
[   18.350703] NET: Registered protocol family 24
[   18.381226] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[   18.400967] ehci_hcd 0000:00:0f.5: EHCI Host Controller
[   18.416699] ehci_hcd 0000:00:0f.5: new USB bus registered, assigned bus number 1
[   18.465474] ehci_hcd 0000:00:0f.5: irq 12, io mem 0xefffd000
[   18.495434] ehci_hcd 0000:00:0f.5: USB 2.0 started, EHCI 1.00
[   18.513188] hub 1-0:1.0: USB hub found
[   18.524452] hub 1-0:1.0: 4 ports detected
[   18.549470] nf_conntrack version 0.5.0 (4007 buckets, 16028 max)
[   18.671294] cs5535-mfd 0000:00:0f.0: 5 devices registered.
[   18.697141] cs5535-mfgpt cs5535-mfgpt: reserved resource region [io  0x6200-0x623f]
[   18.720118] cs5535-mfgpt cs5535-mfgpt: 8 MFGPT timers available
[   18.966680] cs5535-mfgpt cs5535-mfgpt: registered timer 0
[   18.982911] cs5535-clockevt: Registering MFGPT timer as a clock event, using IRQ 7
[   19.013749] cs5535-gpio cs5535-gpio: reserved resource region [io  0x6100-0x61ff]
[   19.036389] gpiochip_add: registered GPIOs 0 to 31 on device: cs5535-gpio
[   19.178389] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[   19.197185] ohci_hcd 0000:00:0f.4: OHCI Host Controller
[   19.212969] ohci_hcd 0000:00:0f.4: new USB bus registered, assigned bus number 2
[   19.235279] ohci_hcd 0000:00:0f.4: irq 12, io mem 0xefffe000
[   19.343507] hub 2-0:1.0: USB hub found
[   19.354867] hub 2-0:1.0: 4 ports detected
[   19.488249] via_rhine: v1.10-LK1.5.0 2010-10-09 Written by Donald Becker
[   19.514367] via-rhine 0000:00:09.0: eth0: VIA Rhine III (Management Adapter) at 0xe0000000, 00:0d:b9:24:59:08, IRQ 10
[   19.547021] via-rhine 0000:00:09.0: eth0: MII PHY found at address 1, status 0x7849 advertising 05e1 Link 0000
[   19.582861] via-rhine 0000:00:0a.0: eth1: VIA Rhine III (Management Adapter) at 0xe0040000, 00:0d:b9:24:59:09, IRQ 11
[   19.615559] via-rhine 0000:00:0a.0: eth1: MII PHY found at address 1, status 0x7849 advertising 05e1 Link 0000
[   19.651436] via-rhine 0000:00:0b.0: eth2: VIA Rhine III (Management Adapter) at 0xe0080000, 00:0d:b9:24:59:0a, IRQ 15
[   19.684085] via-rhine 0000:00:0b.0: eth2: MII PHY found at address 1, status 0x7849 advertising 05e1 Link 0000
[   19.816113] cs5535-mfgpt cs5535-mfgpt: registered timer 1
[   19.850255] i2c /dev entries driver
[   19.898299] cs5535-smb cs5535-smb: SCx200 device 'CS5535 ACB0' registered
[   19.954997] input: gpio-keys-polled as /devices/platform/gpio-keys-polled.1/input/input0

root@OpenWrt:/# [   22.804845] 8021q: adding VLAN 0 to HW filter on device eth1
[   22.822978] device eth1 entered promiscuous mode
[   22.841332] 8021q: adding VLAN 0 to HW filter on device eth0

root@OpenWrt:/# [   23.538972] device eth1 left promiscuous mode
[   23.552173] br-lan: port 1(eth1) entered disabled state
[   23.594636] 8021q: adding VLAN 0 to HW filter on device eth1
[   23.622373] device eth1 entered promiscuous mode
[   23.867929] 8021q: adding VLAN 0 to HW filter on device eth0
[   32.413954] jffs2_scan_eraseblock(): End of filesystem marker found at 0x0
[   32.444345] jffs2_build_filesystem(): unlocking the mtd device... done.
[   32.464317] jffs2_build_filesystem(): erasing all blocks after the end marker... 
[   32.544761] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------
[   32.545027] WARNING: at arch/x86/mm/fault.c:270 0xc12214b8()
[   32.545027] Modules linked in:
[   32.545027] ------------[ cut here ]------------

This image was built simply by selecting x86 and then the alix2 subtarget. No other configurations where changed.

Attachments (0)

Change History (13)

comment:1 Changed 6 years ago by openwrt@…

Update, it works fine with the ext4 image:

openwrt-x86-alix2-combined-ext4.img

But it bombs right away with the jffs2 images:

openwrt-x86-alix2-combined-jffs2-128k.img

log from jffs2 image, instead of the squashfs image:

  Booting 'OpenWrt'

root    (hd0,0)
 Filesystem type is ext2fs, partition type 0x83
kernel  /boot/vmlinuz block2mtd.block2mtd=/dev/sda2,131072,rootfs root=/dev/mtd
block0 rootfstype=jffs2 rootwait console=ttyS0,38400n8 noinitrd reboot=bios
   [Linux-bzImage, setup=0x3a00, size=0x134450]
boot
[    0.000000] Linux version 3.3.6 (adam@openwrt-builder) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #2 Mon May 21 14:13:32 EDT 2012
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 00000000000a0000 (usable)
[    0.000000]  BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 0000000010000000 (usable)
[    0.000000]  BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
[    0.000000] Notice: NX (Execute Disable) protection missing in CPU!
[    0.000000] DMI not present or invalid.
[    0.000000] last_pfn = 0x10000 max_arch_pfn = 0x100000
[    0.000000] init_memory_mapping: 0000000000000000-0000000010000000
[    0.000000] 256MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 10000000
[    0.000000]   low ram: 0 - 10000000
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000010 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x00010000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000010 -> 0x000000a0
[    0.000000]     0: 0x00000100 -> 0x00010000
[    0.000000] Using APIC driver default
[    0.000000] No local APIC present or hardware disabled
[    0.000000] APIC: disable apic facility
[    0.000000] APIC: switched to apic NOOP
[    0.000000] Allocating PCI resources starting at 10000000 (gap: 10000000:eff00000)
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 64912
[    0.000000] Kernel command line: block2mtd.block2mtd=/dev/sda2,131072,rootfs root=/dev/mtdblock0 rootfstype=jffs2 rootwait console=ttyS0,38400n8 noinitrd reboot=bios
[    0.000000] PID hash table entries: 1024 (order: 0, 4096 bytes)
[    0.000000] Dentry cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.000000] Inode-cache hash table entries: 16384 (order: 4, 65536 bytes)
[    0.000000] Initializing CPU#0
[    0.000000] Memory: 256244k/262144k available (2202k kernel code, 5452k reserved, 571k data, 244k init, 0k highmem)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xfffa4000 - 0xfffff000   ( 364 kB)
[    0.000000]     vmalloc : 0xd0800000 - 0xfffa2000   ( 759 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xd0000000   ( 256 MB)
[    0.000000]       .init : 0xc12b6000 - 0xc12f3000   ( 244 kB)
[    0.000000]       .data : 0xc1226a1c - 0xc12b5680   ( 571 kB)
[    0.000000]       .text : 0xc1000000 - 0xc1226a1c   (2202 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] SLUB: Genslabs=15, HWalign=32, Order=0-3, MinObjects=0, CPUs=1, Nodes=1
[    0.000000] NR_IRQS:2304 nr_irqs:256 16
[    0.000000] console [ttyS0] enabled
[    0.000000] Fast TSC calibration using PIT
[    0.000000] Detected 498.038 MHz processor.
[    0.030006] Calibrating delay loop (skipped), value calculated using timer frequency.. 996.07 BogoMIPS (lpj=4980380)
[    0.050011] pid_max: default: 32768 minimum: 301
[    0.060251] Mount-cache hash table entries: 512
[    0.070398] CPU: Geode(TM) Integrated Processor by AMD PCS stepping 02
[    0.090151] Performance Events: no PMU driver, software events only.
[    0.110911] NET: Registered protocol family 16
[    0.121475] PCI: PCI BIOS revision 2.10 entry at 0xfced9, last bus=0
[    0.130014] PCI: Using configuration type 1 for base access
[    0.145701] bio: create slab <bio-0> at 0
[    0.151200] SCSI subsystem initialized
[    0.161042] PCI: Probing PCI hardware
[    0.170225] PCI host bridge to bus 0000:00
[    0.180020] pci_bus 0000:00: root bus resource [io  0x0000-0xffff]
[    0.190017] pci_bus 0000:00: root bus resource [mem 0x00000000-0xffffffff]
[    0.214019] Switching to clocksource pit
[    0.222334] NET: Registered protocol family 2
[    0.225559] IP route cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.236427] TCP established hash table entries: 8192 (order: 4, 65536 bytes)
[    0.247783] TCP bind hash table entries: 8192 (order: 3, 32768 bytes)
[    0.257219] TCP: Hash tables configured (established 8192 bind 8192)
[    0.266283] TCP reno registered
[    0.275725] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.293258] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.302288] NET: Registered protocol family 1
[    0.306107] platform rtc_cmos: registered platform RTC device (no PNP device found)
[    0.321784] alix: system is recognized as "PC Engines ALIX.2 v0.99h"
[    0.354715] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.372229] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.382200] msgmni has been set to 500
[    0.393519] io scheduler noop registered
[    0.395308] io scheduler deadline registered (default)
[    0.411074] Serial: 8250/16550 driver, 2 ports, IRQ sharing disabled
[    0.420404] serial8250: ttyS0 at I/O 0x3f8 (irq = 4) is a NS16550A
[    0.429238] serial8250: ttyS1 at I/O 0x2f8 (irq = 3) is a NS16550A
[    0.438771] Non-volatile memory driver v1.3
[    0.451374] AMD Geode RNG detected
[    0.464043] scsi0 : pata_cs5536
[    0.473981] scsi1 : pata_cs5536
[    0.483828] ata1: PATA max UDMA/100 cmd 0x1f0 ctl 0x3f6 bmdma 0xff00 irq 14
[    0.484717] ata2: DUMMY
[    0.664579] ata1.00: CFA: SanDisk SDCFH-002G, HDX 6.02, max MWDMA2
[    0.683148] ata1.00: 3906560 sectors, multi 0: LBA 
[    0.724472] ata1.00: configured for MWDMA2
[    0.737100] scsi 0:0:0:0: Direct-Access     ATA      SanDisk SDCFH-00 HDX  PQ: 0 ANSI: 5
[    0.752319] sd 0:0:0:0: [sda] 3906560 512-byte logical blocks: (2.00 GB/1.86 GiB)
[    0.754970] sd 0:0:0:0: [sda] Write Protect is off
[    0.769711] sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[    0.778897]  sda: sda1 sda2
[    0.788568] sd 0:0:0:0: [sda] Attached SCSI removable disk
[    0.795458] Creating 1 MTD partitions on "rootfs":
[    0.809860] 0x000000000000-0x000003020000 : "rootfs"
[    0.815870] mtd: partition "rootfs" set to be root filesystem
[    0.834755] split_squashfs: no squashfs found in "rootfs"
[    0.850959] block2mtd: mtd0: [rootfs] erase_size = 128KiB [131072]
[    0.860425] i8042: No controller found
[    0.872055] rtc_cmos rtc_cmos: rtc core: registered rtc_cmos as rtc0
[    0.881168] rtc0: alarms up to one day, 114 bytes nvram
[    0.886988] cpuidle: using governor ladder
[    0.899577] TCP westwood registered
[    0.910067] NET: Registered protocol family 17
[    0.923479] 8021q: 802.1Q VLAN Support v1.8
[    0.926100] Using IPI Shortcut mode
[    0.937244] rtc_cmos rtc_cmos: setting system clock to 2012-05-21 18:32:01 UTC (1337625121)
[    1.314262] Switching to clocksource tsc
[    2.038284] jffs2_scan_eraseblock(): End of filesystem marker found at 0x2a0000
[    2.060268] jffs2_build_filesystem(): unlocking the mtd device... done.
[    2.080129] jffs2_build_filesystem(): erasing all blocks after the end marker... 
[    2.174242] BUG: unable to handle kernel paging request at bf30bac9
[    2.174242] IP: [<bf30bac9>] 0xbf30bac9
[    2.174242] *pde = 00000000 
[    2.174242] Thread overran stack, or stack corrupted
[    2.174242] Oops: 0000 [#1] 
[    2.174242] Modules linked in:
[    2.174242] 
[    2.174242] Pid: 1, comm: swap?? Not tainted 3.3.6 #2  
[    2.174242] EIP: 0060:[<bf30bac9>] EFLAGS: 00010086 CPU: 0
[    2.174242] EAX: cf805100 EBX: cf805100 ECX: c118bbb7 EDX: bf30bac9
[    2.174242] ESI: 00000000 EDI: c104de40 EBP: 00000000 ESP: cf807ff4
[    2.174242]  DS: 007b ES: 007b FS: 0000 GS: 0000 SS: 0068
[    2.174242] Process swap?? (pid: 1, ti=cf806000 task=cf824000 task.ti=c118bac0)
[    2.174242] Stack:
[    2.174242]  c104de62 cf5e24a0 c1003d3b
[    2.174242] Call Trace:
[    2.174242]  [<c104de62>] ? 0xc104de62
[    2.174242]  <IRQ> 
[    2.174242]  [<c1003b7a>] ? 0xc1003b7a
[    2.174242]  [<c118bac0>] ? 0xc118bac0
[    2.174242]  [<c12260e9>] ? 0xc12260e9
[    2.174242]  [<c118bac0>] ? 0xc118bac0
[    2.174242]  [<c118bac0>] ? 0xc118bac0
[    2.174242]  [<c118bbb7>] ? 0xc118bbb7
[    2.174242]  [<c118bac0>] ? 0xc118bac0
[    2.174242]  [<c118bbb7>] ? 0xc118bbb7
[    2.174242]  [<c118bac0>] ? 0xc118bac0
[    2.174242]  [<c118bbb7>] ? 0xc118bbb7
[    2.174242]  [<c118bac0>] ? 0xc118bac0
[    2.174242]  [<c118bbb7>] ? 0xc118bbb7
[    2.174242]  [<c118bac0>] ? 0xc118bac0
[    2.174242]  [<c118bbb7>] ? 0xc118bbb7
[    2.174242]  [<c118bac0>] ? 0xc118bac0
[    2.174242]  [<c118bbb7>] ? 0xc118bbb7
<snip>
[    2.174242] Code:  Bad EIP value.
[    2.174242] EIP: [<bf30bac9>]  SS:ESP 0068:cf807ff4
[    2.174242] CR2: 00000000bf30bac9
[    2.174242] ---[ end trace 4abe6aa12f77f6f4 ]---
[    2.174242] Kernel panic - not syncing: Fatal exception in interrupt

comment:2 follow-up: Changed 6 years ago by nikolayv@…

I have same errors on X86 Atom PC compilation with Squashfs.

comment:3 in reply to: ↑ 2 Changed 6 years ago by roecker@…

I can confirm this problem on my alix2D13

[   36.325014] ------------[ cut here ]------------
[   36.325014] WARNING: at arch/x86/mm/fault.c:270 vmalloc_fault+0x4e/0xc0()
[   36.325014] Modules linked in:

I made a few reboots and discovered that sometimes the error message is different. Since I dont understand anything that is written there, please excuse me if this is something totally different.

[   39.212258] jffs2_scan_eraseblock(): End of filesystem marker found at 0x0
[   39.233319] jffs2_build_filesystem(): unlocking the mtd device... done.
[   39.253293] jffs2_build_filesystem(): erasing all blocks after the end marker... 
[   39.294848] BUG: unable to handle kernel paging request at 030200a8
[   39.295014] IP: [<c103bd99>] account_system_time+0x49/0x110
[   39.295014] *pde = 00000000 
[   39.295014] Thread overran stack, or stack corrupted
[   39.295014] Oops: 0000 [#1] 
[   39.295014] Modules linked in: gpio_keys_polled leds_gpio lm90 scx200_acb i2c_gpio i2c_algo_pcf i2c_algo_pca i2c_algo_bit i2c_dev i2c_core geodewdt via_rhine ohci_hcd xt_LED ledtrig_heartbeat ledtrig_gpio gpio_cs5535 cs5535_clockevt ip6t_REJECT ip6t_LOG ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6_queue ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_pptp nf_conntrack_pptp nf_nat_h323 nf_conntrack_h323 nf_nat_proto_gre nf_conntrack_proto_gre nf_nat_amanda nf_conntrack_amanda nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_policy xt_esp ipt_ah xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 xt_quota xt_pkttype xt_owner cs5535_mfgpt cs5535_mfd mfd_core ipt_REDIRECT ipt_NETMAP ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables nsc_gpio ip_gre gre e1000 ifb ipcomp6 xfrm6_tunnel xfrm6_mode_tunnel xfrm6_mode_transport xfrm6_mode_beet esp6 ah6 ipcomp xfrm4_tunnel xfrm4_mode_tunnel xfrm4_mode_transport xfrm4_mode_beet esp4 ah4 ppp_mppe tunnel6 tunnel4 ppp_async ppp_generic slhc xfrm_user xfrm_ipcomp af_key button_hotplug(O) ath9k(O) ath9k_common(O) ath9k_hw(O) ath5k(O) ath(O) mac80211(O) usbcore usb_common ts_fsm ts_bm ts_kmp crc_ccitt ipv6 input_polldev msr cfg80211(O) compat(O) input_core chainiv eseqiv crypto_wq sha1_generic krng rng md5 geode_aes hmac ecb des_generic deflate cbc authenc arc4 aes_i586 aes_generic zlib_deflate crypto_blkcipher cryptomgr aead crypto_hash crypto_algapi
[   39.295014] 
[   39.295014] Pid: -826466768, comm: busybox Tainted: G           O 3.3.6 #1  
[   39.295014] EIP: 0060:[<c103bd99>] EFLAGS: 00010002 CPU: 0
[   39.295014] EIP is at account_system_time+0x49/0x110
[   39.295014] EAX: ceb37900 EBX: 00010000 ECX: 00000001 EDX: 03020000
[   39.295014] ESI: 00010000 EDI: 00000001 EBP: 00000000 ESP: cf807f80
[   39.295014]  DS: 007b ES: 007b FS: 0000 GS: 0033 SS: 0068
[   39.295014] Process busybox (pid: -826466768, ti=cf806000 task=ceb37900 task.ti=cebd0000)
[   39.295014] Stack:
[   39.295014]  00000000 ceb37900 00000000 00000000 c103bef7 00000001 c102a2db d1013280
[   39.295014]  00000007 c104436d 00000086 d1013240 00000007 00000000 d10130eb c104d901
[   39.295014]  00000000 00000000 00000000 00000000 00000000 00000007 cf805480 cf805480
[   39.295014] Call Trace:
[   39.295014]  [<c103bef7>] ? account_process_tick+0x57/0x70
[   39.295014]  [<c102a2db>] ? update_process_times+0x1b/0x60
[   39.295014]  [<c104436d>] ? tick_handle_periodic+0xd/0x70
[   39.295014]  [<d10130eb>] ? 0xd10130ea
[   39.295014]  [<c104d901>] ? handle_irq_event_percpu+0x21/0x120
[   39.295014]  [<c104f5d0>] ? cond_unmask_irq+0x40/0x40
[   39.295014]  [<c104da19>] ? handle_irq_event+0x19/0x30
[   39.295014]  [<c104f636>] ? handle_level_irq+0x66/0x70
[   39.295014]  <IRQ> 
[   39.295014]  [<c1003b6a>] ? do_IRQ+0x3a/0xb0
[   39.295014]  [<c118d3d0>] ? ata_generic_init_one+0x1a0/0x1a0
[   39.295014]  [<c1235aa9>] ? common_interrupt+0x29/0x30
[   39.295014]  [<c118d3d0>] ? ata_generic_init_one+0x1a0/0x1a0
[   39.295014]  [<c118d3d0>] ? ata_generic_init_one+0x1a0/0x1a0
[   39.295014]  [<c118d4c7>] ? mtd_writev+0xf7/0x110
[   39.295014]  [<c118d3d0>] ? ata_generic_init_one+0x1a0/0x1a0
[   39.295014]  [<c118d4c7>] ? mtd_writev+0xf7/0x110
(.....)

Please let me know If you need more information

comment:4 Changed 6 years ago by anonymous

as i understand the problem start when move to new Kernel 3.3.6. on 2.6.9 all was of with SquashFS and JFFS2.

comment:5 Changed 6 years ago by philipp@…

I've been running 3.2.x (mostly 3.2.2 but some 3.2.5) on several Alix 6F2 boxes with no issues.

I note that all of them have the current bios (0.99j).

First, update your bios to 0.99j. Second, rebuild OpenWRT with LINUX_VERSION=3.2.2 and see if that works.

comment:6 Changed 6 years ago by nikolayv@…

philipp
Good thinks, i dont have exactly alix2 board, but ATOM D2500, but they both are x86, so i will try now to rebuild with LINUX_VERSION=3.2.2 but i didnt know excactly how to do this, im not a pro in compilations, will read the manuals.

comment:7 Changed 6 years ago by openwrt@…

BIOS version is irrelevant here. 0.99j is only applicable to the 6 series alix boards anyway. The kernel version works fine with ext4 file system, but bombs out on jffs2.

comment:8 follow-up: Changed 6 years ago by anonymous

Tried to compile with make LINUX_VERSION=3.2.2
but maybe i doing something wrong, but its compilet succes, but didnt boot, after GRUB, its stuck on
Extracting Image.
Booting...

for me is big problem with EXT4 that i cant update image thought the LUCI, and also i cant reset to deffault state ( sometime its very helpful ).

comment:9 in reply to: ↑ 8 Changed 6 years ago by anonymous

Replying to anonymous:

Tried to compile with make LINUX_VERSION=3.2.2
but maybe i doing something wrong, but its compilet succes, but didnt boot, after GRUB, its stuck on
Extracting Image.
Booting...

for me is big problem with EXT4 that i cant update image thought the LUCI, and also i cant reset to deffault state ( sometime its very helpful ).

If you're going to build 3.2.x, then you need to "svn update -r31751" to backrev.

comment:10 Changed 6 years ago by juhosg

Should be fixed with r31841.

comment:11 Changed 6 years ago by nikolayv@…

Confirm, the bug are fixed, on SquashFS is booting fine.
Thanks.

comment:12 Changed 6 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

comment:13 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.